Overview
GET/oauth/providers/{slug}oauth

Get a provider (admin)

Fetch a record from providers by slug.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • slugpathstring
Responses
200

Provider

  • idstring
  • slugstring
  • namestring
  • authType"oauth2_code" | "oauth2_access_token" | "oidc_id_token"
  • authorizeUrloptionalstring?
  • tokenUrloptionalstring?
  • userinfoUrloptionalstring?
  • clientIdstring
  • scopesstring[]
  • identityMappingobject
Example
{
  "id": "string",
  "slug": "string",
  "name": "string",
  "authType": "oauth2_code",
  "authorizeUrl": "string",
  "tokenUrl": "string",
  "userinfoUrl": "string",
  "clientId": "string",
  "scopes": [
    "string"
  ],
  "identityMapping": {
    "subjectField": "string",
    "emailField": "string",
    "nameField": "string",
    "avatarField": "string",
    "verificationUrl": "string",
    "jwksUrl": "string",
    "requireEmailVerified": true,
    "allowedAudiences": [
      "string"
    ],
    "secondaryEmailUrl": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/oauth/providers/{slug}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/oauth/providers/{slug}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();